%define upstream_name    Devel-REPL
%define upstream_version 1.003027

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Epoch:      1

Summary:    a modern perl interactive shell
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Concise)
BuildRequires: perl(Devel::Peek)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build::Tiny) >= 0.27.0
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose) >= 0.930.0
BuildRequires: perl(Moose::Meta::Role)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Getopt) >= 0.180.0
BuildRequires: perl(MooseX::Object::Pluggable) >= 0.0.900
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::CheckDeps) >= 0.7.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is an interactive shell for Perl, commonly known as a REPL - Read,
Evaluate, Print, Loop. The shell provides for rapid development or
testing of code without the need to create a temporary source code file.

Through a plugin system, many features are available on demand. You can
also tailor the environment through the use of profiles and run control
files, for example to pre-load certain Perl modules when working on a
particular project.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor --skipdeps
%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*
%{_bindir}/re.pl


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1:1.3.27-3.mga6
+ Revision: 1025601
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1:1.3.27-2.mga6
+ Revision: 969342
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 1:1.3.27-1.mga6
+ Revision: 868370
- update to 1.003027

* Mon Dec 15 2014 shlomif <shlomif> 1:1.3.26-1.mga5
+ Revision: 803223
- New upstream version 1.003026

* Wed Oct 15 2014 umeabot <umeabot> 1:1.3.25-4.mga5
+ Revision: 747246
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1:1.3.25-3.mga5
+ Revision: 735601
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1:1.3.25-2.mga5
+ Revision: 684329
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1:1.3.25-1.mga5
+ Revision: 588359
- update to 1.003025

* Fri Oct 18 2013 umeabot <umeabot> 1:1.3.14-3.mga4
+ Revision: 510822
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:1.3.14-2.mga3
+ Revision: 365796
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1:1.3.14-1.mga3
+ Revision: 315015
- update to 1.003014

* Tue Jun 05 2012 jquelin <jquelin> 1:1.3.13-1.mga3
+ Revision: 255750
- adding missing buildrequires:
- update to 1.003013

* Tue Jan 25 2011 jquelin <jquelin> 1:1.3.12-1.mga1
+ Revision: 38477
- mageia rebuild
- imported package perl-Devel-REPL

